/*******************************************************************
 * 
 * Switcher for devices with battery check
 * Andreas Brietzke, Nagareyama, J
 *
 * Chip type           : ATtiny85
 * Clock frequency     : 1 MHz
 * Fuses E:DF, L:62 (default)
 * 
 *     switcher.h
 * 
 *     key routines from Peter Dannegger
 * 
 * Sleep mode = 0,2uA (3,3V)
 *
 ********************************************************************/

#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include <string.h>
#include <stdio.h>
#include <inttypes.h>
#include <stdlib.h>
#include <avr/pgmspace.h>
#include <avr/eeprom.h>
#include "light_ws2812.h"

uint8_t get_key_press(uint8_t);

uint8_t get_key_rpt(uint8_t);

uint8_t get_key_short(uint8_t);

uint8_t get_key_long(uint8_t);

void SwitchLed (uint8_t);

void StatusRed(void);

void StatusGreen(void);

void SwitchInput(uint8_t, uint8_t);
